## gcc-h8300-hms 2.95.2.2.1

=== debian/changelog ===
gcc-h8300-hms (2.95.2.2.1) unstable; urgency=low

  * Non-maintainer upload
  * Add s390 support (config.sub, configure changed, s390/xm-s390.h added)
  * (Closes: #128454)

 -- Gerhard Tonn <gt@debian.org>  Tue, 23 Jan 2002 06:44:31 +0100

gcc-h8300-hms (2.95.2.2) unstable; urgency=low

  * Adjust to proper Priority
  * Annotate DEBIAN.readme with explanation of current package shape
  * Correct package numbering (Closes: Bug#83113)

 -- Stephen M Moraco <stephen@debian.org>  Sun, 28 Jan 2001 00:19:03 -0700

gcc-h8300-hms (2.95.2.1) unstable; urgency=low

  * Initial Release; feedback appreciated.

 -- Stephen M Moraco <stephen@debian.org>  Fri, 22 Dec 2000 21:16:00 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address "stephen@debian.org"
End:
