=== debian/control ===
Source: gcc-h8300-hms
Section: devel
Priority: extra
Maintainer: Stephen M Moraco <stephen@debian.org>
Build-Depends: dejagnu (>= 1.3-19990614), bzip2, binutils-h8300-hms (>= 2.9.5.0.37), debhelper (>= 2), autoconf (>= 2.13), bison, flex, gettext, texinfo
Standards-Version: 3.1.1

Package: gcc-h8300-hms
Architecture: any
Replaces: gcc-h8300 (>= 2.95.2)
Conflicts: gcc-h8300 (>= 2.95.2)
Depends: ${shlibs:Depends}, binutils-h8300-hms (>= 2.9.5.0.37)
Description: The GNU C/C++ cross-compilers for the Hitachi H8/300[HS] processors
 This is the GNU C compiler, a fairly portable optimizing compiler which
 supports multiple languages.  This package includes support for C and
 C++ for cross-compiling to an Hitachi H8/300[HS] microprocessor-based
 target.
