## gcc-h8300-hms 3.4.6

=== debian/changelog ===
gcc-h8300-hms (1:3.4.6-6ubuntu1) oneiric; urgency=low

  * Fix build failure. LP: #755975.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 29 Aug 2011 10:34:59 +0200

gcc-h8300-hms (1:3.4.6-6) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Bumped Standards-Version (no changes)
  * New compat level is 5
  * Dropped all versions on depends as even oldstable has sufficiently recent
    ones; added ${misc:Depends}; cleanup of description
  * Force SHELL to /bin/sh for fixincl (closes: #607486)

 -- Michael Tautschnig <mt@debian.org>  Wed, 08 Jun 2011 22:55:25 +0200

gcc-h8300-hms (1:3.4.6-5) unstable; urgency=low

  * Added watch file

 -- Michael Tautschnig <mt@debian.org>  Fri, 25 Jan 2008 08:51:29 +0100

gcc-h8300-hms (1:3.4.6-4) unstable; urgency=low

  * Added --disable-multilib to avoid building 32/64 bit libraries as well on
    amd64 and powerpc, which had caused an FTBFS (closes: #454969)

 -- Michael Tautschnig <mt@debian.org>  Sat, 08 Dec 2007 21:27:47 +0100

gcc-h8300-hms (1:3.4.6-3) unstable; urgency=low

  * New maintainer address.
  * Conforms with policy version 3.7.3.0
  * Removed the man pages (the original man pages are GFDL licensed with
    invariant sections)
  * Remove configure to ensure its re-build by autoconf after patching
    configure.in, use a different way of removing libstdc++-v3 
    (closes: #436401)

 -- Michael Tautschnig <mt@debian.org>  Thu, 06 Dec 2007 21:43:38 +0100

gcc-h8300-hms (1:3.4.6-2) unstable; urgency=high

  * Backported patch for building a h8300 cross compiler on 64bit
    architectures: 001_h8300_64bit

 -- Michael Tautschnig <tautschn@model.in.tum.de>  Sun, 21 Jan 2007 16:36:10 +0100

gcc-h8300-hms (1:3.4.6-1) unstable; urgency=high

  * Changed back to upstream version 3.4.6 as brickos is unusable with gcc-4
    (closes: #406575)

 -- Michael Tautschnig <tautschn@model.in.tum.de>  Thu, 11 Jan 2007 23:04:04 +0100

gcc-h8300-hms (4.1.1-3) unstable; urgency=high

  * Added applicable patches from gcc-4.1/4.1.1ds2-20 (closes: #398377)

 -- Michael Tautschnig <tautschn@model.in.tum.de>  Sun, 19 Nov 2006 15:09:54 +0100

gcc-h8300-hms (4.1.1-2) unstable; urgency=high

  * FTBFS: Don't use newlib, it is only available on i386

 -- Michael Tautschnig <tautschn@model.in.tum.de>  Wed, 08 Nov 2006 20:36:27 +0100

gcc-h8300-hms (4.1.1-1) unstable; urgency=medium

  * New maintainer (closes: #387771)
  * The debian/ directory is based on the version 1:4.1.0-1 of the gcc-avr
    Debian package. Thanks!
  * New gcc version and build scripts should fix all FTBFS 
    (closes: #241837, #358236, #122428, #138798, #273533, #395313)
  * Set standards version to 3.7.2.2
  * Building using newlib as a replacement libc

 -- Michael Tautschnig <tautschn@model.in.tum.de>  Mon, 06 Nov 2006 22:38:41 +0100

gcc-h8300-hms (2.95.2.ds-1) unstable; urgency=low

  * QA upload orphaning the package (see #387771).
  * Repack source to have an .orig.tar.gz.
  * Apply patch by Andreas Jochens and Michael Tautschnig to fix FTBFS on
    amd64 (Closes: #328244, #255683).
  * Bump lintian level.
  * Rebuilding automagically doesn't create the /usr/doc symlink anymore
    (Closes: #359416).

 -- Christoph Berg <myon@debian.org>  Wed, 25 Oct 2006 16:00:36 +0200
