## gcc-h8300-hms 3.4.6%2Bdfsg2

=== debian/control ===
Source: gcc-h8300-hms
Section: devel
Maintainer: Debian LEGO Team <debian-lego-team@lists.alioth.debian.org>
Uploaders:
 Michael Tautschnig <mt@debian.org>,
 Nicolas Schodet <nico@ni.fr.eu.org>,
Standards-Version: 4.7.3
Build-Depends: binutils-h8300-hms (>= 2.16.1-11),
               bison,
               debhelper-compat (= 13),
               flex,
               gawk,
               gettext,
               gperf,
               m4,
               texinfo
Homepage: https://gcc.gnu.org/
Vcs-Git: https://salsa.debian.org/debian-lego-team/gcc-h8300-hms.git
Vcs-Browser: https://salsa.debian.org/debian-lego-team/gcc-h8300-hms

Package: gcc-h8300-hms
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, binutils-h8300-hms
Suggests: gcc-doc
Description: GNU C compiler (cross compiler for h8300-hitachi-coff)
 This is the GNU C compiler, a fairly portable optimizing compiler which
 supports multiple languages.  This package includes support for C.
