=== debian/watch ===
Version: 5
Untrackable: Old software, will never be updated

Dversion-Mangle: auto
Source: https://gcc.gnu.org/pub/gcc/releases/gcc-3.4.6/
Matching-Pattern: gcc-@ANY_VERSION@@ARCHIVE_EXT@
