## gcc-h8300-hms 3.4.6+dfsg

=== debian/changelog ===
gcc-h8300-hms (1:3.4.6+dfsg-1) unstable; urgency=medium

  * Remove non-free documentation (closes: #695720)

 -- Michael Tautschnig <mt@debian.org>  Fri, 14 Dec 2012 11:57:55 +0000

gcc-h8300-hms (1:3.4.6-7) unstable; urgency=low

  * Renamed patch and updated patch description to make dpkg-source happy
    (closes: #643130)

 -- Michael Tautschnig <mt@debian.org>  Sat, 22 Oct 2011 00:46:38 +0100
