=== debian/control ===
Source: gcc-h8300-hms
Section: devel
Priority: extra
Maintainer: Michael Tautschnig <mt@debian.org>
Standards-Version: 3.9.2
Build-Depends: m4, libtool, gawk, binutils-h8300-hms, bison, flex, gettext, texinfo,  debhelper (>= 5), automake1.9, autotools-dev

Package: gcc-h8300-hms
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, binutils-h8300-hms
Suggests: gcc-doc	
Description: GNU C compiler (cross compiler for h8300-hitachi-coff)
 This is the GNU C compiler, a fairly portable optimizing compiler which
 supports multiple languages.  This package includes support for C.
