=== debian/watch ===
# Site		Directory		Pattern			Version	Script
version=3
ftp://gcc.gnu.org/pub/gcc/releases/gcc-3.4.6/ (?:.*/)?gcc-?_?([\d+\.]+|\d+)\.(?:tar.*|tgz|zip|gz|bz2|) debian uupdate
