## gcc-h8300-hms 3.4.6+dfsg2

=== debian/changelog ===
gcc-h8300-hms (1:3.4.6+dfsg2-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/fix_ftbs.diff: Fix build failure.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 11 Jun 2013 21:46:08 -0400

gcc-h8300-hms (1:3.4.6+dfsg2-1) unstable; urgency=medium

  * Remove more non-free documentation (closes: #708878)
  * Bumped Standards-Version (no changes)
  * Added build-indep and build-arch targets

 -- Michael Tautschnig <mt@debian.org>  Wed, 05 Jun 2013 09:46:35 +0100
