=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: gcc-h8300-hms
 Section: devel
 Priority: extra
-Maintainer: Michael Tautschnig <mt@debian.org>
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Tautschnig <mt@debian.org>
+Standards-Version: 3.9.4
 Build-Depends: m4, libtool, gawk, binutils-h8300-hms, bison, flex, gettext, texinfo,  debhelper (>= 5), automake1.9, autotools-dev
 
 Package: gcc-h8300-hms
