=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,7 @@
         --target=$(TARGET) 
 	touch configure-stamp
 
-build: build-stamp
+build-arch: build-stamp
 
 build-stamp: configure-stamp
 	dh_testdir
@@ -74,7 +74,7 @@
 
 	dh_clean
 
-install: build
+install-arch: build-arch
 	dh_testdir
 	dh_testroot
 	dh_clean -k
@@ -98,12 +98,20 @@
 		ln -s `basename $$i` $(CURDIR)/debian/$(p_cross)/usr/bin/h8300-hms-`echo $$i | sed 's/.*$(TARGET)-//'` ; \
 	done
 
+build-indep:
+
+install-indep: build-indep
+
+build: build-arch build-indep
+
+install: install-arch install-indep
+
 # Build architecture-independent files here.
-binary-indep: build install
+binary-indep: install-indep
 # We have nothing to do by default.
 
 # Build architecture-dependent files here.
-binary-arch: build install
+binary-arch: install-arch
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs ChangeLog
@@ -140,4 +148,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build-arch build-indep clean binary-indep binary-arch binary install-arch install-indep configure build install
